Show / Hide Table of Contents

# Class Localization

Class handling localization.

##### Inheritance

System.Object
Localization

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud

###### Assembly: Dalamud.dll

##### Syntax

    public class Localization

### Constructors

| Improve this Doc View Source

#### Localization(String)

Initializes a new instance of the Localization class.

##### Declaration

    public Localization(string workingDirectory)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | workingDirectory | The working directory to load language files from.

### Fields

| Improve this Doc View Source

#### ApplicableLangCodes

Array of language codes which have a valid translation in Dalamud.

##### Declaration

    public static readonly string[] ApplicableLangCodes

##### Field Value

Type | Description
--- | ---
System.String[] |

### Methods

| Improve this Doc View Source

#### SetupWithFallbacks()

Set up the UI language with "fallbacks"(original English text).

##### Declaration

    public void SetupWithFallbacks()

| Improve this Doc View Source

#### SetupWithLangCode(String)

Set up the UI language with the provided language code.

##### Declaration

    public void SetupWithLangCode(string langCode)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | langCode | The language code to set up the UI language with.

| Improve this Doc View Source

#### SetupWithUiCulture()

Set up the UI language with the users' local UI culture.

##### Declaration

    public void SetupWithUiCulture()

### Events

| Improve this Doc View Source

#### OnLocalizationChanged

Event that occurs when the language is changed.

##### Declaration

    public event Localization.LocalizationChangedDelegate OnLocalizationChanged

##### Event Type

Type | Description
--- | ---
Localization.LocalizationChangedDelegate |